<!DOCTYPE html>
<html lang="ru">
  <head>
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <link rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
    <script
      src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    <meta charset="utf-8">
    <title>LAB4</title>
    <link rel="stylesheet" href="style.css">
  </head>
  <body>
    <header class="container-fluid">
      <div class="d-flex row">
        <img src="logo.jpg"  alt="logo" class="d-flex w-25">
        <div class="d-flex ml-auto p-3 align-items-center" >
        <h1 >TEST</h1>
        </div>
      </div>
    </header>
   
    <article class="container-fluid">
        <nav title="Меню:" id="main" >
          <ul class="row d-flex justify-content-center">
                <li class="col-md-1">Меню:</li>
                <li class="col-md-1"><a  href="#main">Начало страницы</a></li>
                <li class="col-md-1"><a href="#form">Форма</a></li>
                <li class="col-md-1"><a href="#table">Таблица</a></li>
          </ul>
        </nav>
      <div class="d-flex justify-content-center"> Нумерованный список гиперссылок:</div>
      <div class="row">
        <div class="col-md-3"></div>
        <ol class="col-md-6  d-flex flex-column">
          <li class="d-flex justify-content-center"> <a href="http://example.com/" target="_blank">HTTP Example</a> </li>
          <li class="d-flex justify-content-center"><a href="https://example.com/" target="_blank">HTTPS Example</a></li>
          <li class="d-flex justify-content-center"><a href="ftp://example.com/file">ссылка на файл на сервере FTP без авторизации</a></li>
          <li class="d-flex justify-content-center"><a href="ftp://user:password@example.com/file" target="_blank"> ссылкa на файл на сервере FTP с авторизацией</a></li>
          <li class="d-flex justify-content-center"><a href="https://www.google.com/#searchform" target="_blank"> ссылка на фрагмент страницы</a></li>
          <li class="d-flex justify-content-center"><a href="#transition"> ссылкa на фрагмент текущей страницы</a></li>
          <li class="d-flex justify-content-center"><a href="https://example.com?color=red&product=good">Ссылка с 2 параметрами url</a></li>
          <li class="d-flex justify-content-center"><a title="No href">Ссылка без href</a></li>
          <li class="d-flex justify-content-center"><a href="">Пустой href</a></li>
          <li class="d-flex justify-content-center"><a href="http://example.com/" rel="nofollow" target="_blank"> ссылка, по которой запрещен переход поисковикам;</a></li>
          <li class="d-flex justify-content-center"><a href="http://example.com/" rel="noindex" target="_blank">ссылка, запрещенная для индексации</a></li>
          <li class="d-flex justify-content-center"><a href="http://example.com/">Это </a> контекстная ссылка</li>
          <li class="d-flex justify-content-center"><a href="https://en.wikipedia.org/wiki/I_Wanna_Be_the_Boshy" target="_blank" title="Boshy"><img src="cover-256.png" alt="Boshy" width="30" height="30"></a></li>
          <li class="d-flex justify-content-center">
            Map-тег:
            <img  src="map.PNG" alt="Map" usemap="#map">
            <map name="map">
              <area shape="circle" coords="92,92,61" href="https://ru.wikipedia.org/wiki/Круг" alt="Circle" target="_blank">
              <area shape="rect" coords="234,34,315,155" href="https://ru.wikipedia.org/wiki/Прямоугольник" alt="Rectangle" target="_blank">
            </map>
          </li>
          <li class="d-flex justify-content-center"><a href="./nonexistent.html">Относительная в текущем каталоге</a></li>
          <li class="d-flex justify-content-center"><a href="/about/nonexistent.html">Относительная в каталоге about</a></li>
          <li class="d-flex justify-content-center"><a href="../nonexistent.html">Относительная на уровень выше</a></li>
          <li class="d-flex justify-content-center"><a href="../../nonexistent.html">Относительная на 2 уровня выше</a></li>
          <li class="d-flex justify-content-center"><a href="/index.html">Сокращенная на главную</a></li>
          <li class="d-flex justify-content-center"><a href="./inside.html">Сокращенная на внутреннюю</a></li>

        </ol>
        <div class="col-md-3"></div>
      </div>
      <div class="row">
      <div class="col-md-3 order-4 order-md-1"></div>
      <table id="table" class="col-md-6 order-5 order-md-2 d-flex justify-content-center">
        <tr>
          <th></th>
          <th>колонка 1</th>
          <th>колонка 2</th>
          <th>колонка 3</th>
        </tr>
        <tr class="nechet">
          <th>строка 1</th>
          <td class="px-3">11</td>
          <td class="px-3">12</td>
          <td class="px-3">13</td>
        </tr>
        <tr class="chet">
          <th>строка 2</th>
          <td class="px-3">21</td>
          <td class="px-3">22</td>
          <td class="px-3">23</td>
        </tr>
        <tr class="nechet">
          <th>строка 3</th>
          <td class="px-3">31</td>
          <td colspan="2" class="px-3">32 объединенная с 33</td>
        </tr>
        <tr class="chet">
          <th>строка 4</th>
          <td colspan="3" class="px-5">41+42+43</td>
        </tr>
        <tr class="nechet">
          <th>строка 5</th>
          <td class="px-3">51</td>
          <td class="px-3">52</td>
          <td class="px-3">53</td>
        </tr>
      </table>
      <div class="col-md-3 order-6 order-md-3"></div>
      <div class="col-md-5 order-1 order-md-4"></div>
      <form action="./done.html" method="POST" class="col-md-6 order-2 order-md-5">
        <h3 id="form">Форма HTML:</h3>
        <label>
          Имя
          <input name="name1" value="default">
        </label><br /><br />
        <label>
          e-mail
          <input name="e-mail" value="test@example.com" type="email">
        </label><br /><br />
        <label>
          Дата рождения
          <input name="Birthday" value="2020-09-12" type="date">
        </label><br /><br />
        <label>
          Пол: 
          <input type="radio" checked="checked" name="radio1" 
          value="М">Мужской
        </label>
        <label><input type="radio" name="radio1" value="Ж">
          Женский
        </label><br /><br />
        <label>
          Количество конечностей:
          <input type="radio" name="radio2" value="3" checked="checked">
          3
        </label>
        <label>
          <input type="radio" name="radio2" value="4">
          4
        </label>
        <label>
          <input type="radio" name="radio2" value="5">
          5
        </label><br /><br />
        <label>
          Сверхспобности:<br />
          <select name="field-name-4[]" multiple="multiple">
            <option value="Бессмертие">Бессмертие</option>
            <option value="-стены">Прохождение сквозь стены</option>
            <option value="полет">Левитация</option>

          </select>
        </label><br /><br />
        <label>
          Биография:<br />
          <textarea name="biograph">Некоторый текст</textarea>
        </label><br /><br />
        <label><input type="checkbox" name="check1">
          С правилами ознакомлен
        </label><br /><br />
        <input type="submit" value="Отправить" />

      </form>
      <div class="col-md-3 order-3 order-md-6"></div>
      </div>
    </article>
    <hr>  
    <footer class="row d-flex justify-content-center">
      <p id="transition">Переход</p>
    </footer>
 </body>
</html>
